> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openformat.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Credit token

> This is endpoint returns an [unsigned transaction](/api-reference/architecture/transaction-lifecycle) that creates a new Credit token from the specified app. Once you sign this transaction, using your private key held in your local environment variables, you can broadcast it using the [Execute Transaction](/api-reference/endpoint/transactions/post-transactionsexecute) endpoint; or if you prefer to wait for confirmation using the [Execute Transaction and Wait](/api-reference/endpoint/transactions/post-transactionsexecuteandwait) endpoint.

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "unsignedTransaction": {
      "to": "0x014b680bed2433b1861239cf812dbe660fe339f2",
      "data": "0x609512c90000000000000000000000009574e9ba92cb0966c9d2ff1a9ab9e11949b9b873000000000000000000000000f39fd6e51aad88f6f4ce6ab8827279cfffb922660000000000000000000000000000000000000000000000000de0b6b3a7640000647261676f6e5f736c6179656400000000000000000000000000000000000000414354494f4e000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000c00000000000000000000000000000000000000000000000000000000000000000",
      "maxPriorityFeePerGas": "1020840008",
      "maxFeePerGas": "1035102698",
      "gas": "476358",
      "gasLimit": "476358",
      "nonce": 36,
      "chainId": 31337,
      "type": 2
    }
  }
  ```

  ```json 400 theme={null}
  {
    "success": false,
    "error": {
      "code": "validation_error",
      "message": "Some parameters are invalid",
      "issues": [
        {
          "code": "too_small",
          "message": "Number must be greater than or equal to 0",
          "parameter": "token_decimals",
          "path": "token_decimals"
        },
        {
          "code": "too_small",
          "message": "Number must be greater than or equal to 0",
          "parameter": "token_supply",
          "path": "token_supply"
        }
      ]
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml post /credit/new
openapi: 3.0.0
info:
  version: 0.1.0
  title: Openformat API
servers:
  - url: https://api.openformat.tech/v1
    description: Live server
security:
  - ApiKeyAuth: []
paths:
  /credit/new:
    post:
      tags:
        - credit
        - new
      description: Create new Credits token
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                chain:
                  type: string
                  minLength: 1
                  maxLength: 255
                  description: Blockchain network to use
                  example: arbitrum-sepolia
                app_id:
                  type: string
                  description: Ethereum address of the application
                  example: '0x9716fb655f2a72b1fc1b4db02b8ad20b6747442a'
                token_name:
                  type: string
                  minLength: 1
                  maxLength: 512
                  description: Token name
                  example: My Credit Token
                token_symbol:
                  type: string
                  minLength: 1
                  maxLength: 512
                  description: Token symbol
                  example: CRED
                token_decimals:
                  type: integer
                  minimum: 0
                  default: 18
                  description: Token decimals
                  example: 18
                token_supply:
                  type: number
                  minimum: 0
                  description: Token initial supply amount
                  example: 123
                token_is_point:
                  type: boolean
                  default: false
                  description: Token is non transferable type
                  example: true
              required:
                - chain
                - app_id
                - token_name
                - token_symbol
                - token_supply
      responses:
        '200':
          description: Unsigned transaction to sign
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                    description: Success response
                    example: true
                  unsignedTransaction:
                    nullable: true
                    description: Unsigned transaction object for the user to sign
                required:
                  - success
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      issues:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                              description: Error code for the field
                              example: invalid_type
                            path:
                              type: array
                              items:
                                type: string
                              description: Field with error
                              example:
                                - some_field
                            message:
                              type: string
                              description: Error message
                              example: Required
                          required:
                            - code
                            - path
                            - message
                        description: Error object with all validation issues
                    required:
                      - issues
                required:
                  - error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````